%define ver	0.0.7
%define RELEASE	1
%define rel	%{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}
%define prefix	/usr
%define sysconfdir	/etc

Summary: IDE for GNOME
Name: titano
Version: %ver
Release: %rel
Copyright: GPL
Group: X11/Libraries
Source: titano-%{ver}.tar.gz
BuildRoot: /var/tmp/titano-%{ver}-root
URL: http://titano.sourceforge.org/
Docdir: %{prefix}/doc
Prefix: %prefix

%description
Titano is an IDE for GNOME

%prep
%setup

%ifarch alpha
  ARCH_FLAGS="--host=alpha-redhat-linux"
%endif

if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh $ARCH_FLAGS --prefix=%{prefix} --sysconfdir=%{sysconfdir}
  CXXFLAGS="$RPM_OPT_FLAGS" ./autogen.sh $ARCH_FLAGS --prefix=%{prefix} --sysconfdir=%{sysconfdir}
else
  CFLAGS="$RPM_OPT_FLAGS" ./configure $ARCH_FLAGS --prefix=%{prefix} --sysconfdir=%{sysconfdir}
  CXXFLAGS="$RPM_OPT_FLAGS" ./configure $ARCH_FLAGS --prefix=%{prefix} --sysconfdir=%{sysconfdir}
fi

%build

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} PACKAGE_PIXMAPS_DIR=$RPM_BUILD_ROOT%{prefix}/share/pixmaps install

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README BUGS

%{prefix}/bin/titano
%{prefix}/share/titano/scripts/*
%{prefix}/share/titano/templates/*
%{prefix}/share/titano/glade/*
%{prefix}/share/gnome/apps/Development/titano.desktop
%{prefix}/share/pixmaps/*

%changelog
* Fri Dec 29 2000 Malenko Dmitry <maldim@ukr.net>
- created
